Bug 974303 - PDF viewer (evince, okular, epdfviewer, but NOT xpdf or gs) mis-orders pages
PDF viewer (evince, okular, epdfviewer, but NOT xpdf or gs) mis-orders pages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 18:14 EDT by SteveB
Modified: 2014-02-05 16:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:49:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF file that breaks viewer (50.70 KB, application/pdf)
2013-06-13 18:14 EDT, SteveB
no flags Details
screen shot showing error with evince (178.64 KB, application/pdf)
2013-06-13 18:23 EDT, SteveB
no flags Details

  None (edit)
Description SteveB 2013-06-13 18:14:41 EDT
Created attachment 761004 [details]
PDF file that breaks viewer

Description of problem:
PDF files get rendered in incorrect page order.  As you page through the document, you see pages 1, 2, 8, 9, 5, 14, not 1,2,3,4...

Also, there are errors of the form:
Syntax Warning: Object (8 0) is not a pageDict
Syntax Warning: Failed parsing page 3 using hint tables
Syntax Warning: Object (17 0) is not a pageDict
Syntax Warning: Failed parsing page 4 using hint tables
Syntax Warning: Object (30 0) is not a pageDict
Syntax Warning: Failed parsing page 7 using hint tables

This incorrect behavior occurs with evince, okular, epdfviewer,
but NOT with xpdf or gs.


Version-Release number of selected component (if applicable):
evince-3.6.1-2.fc18.x86_64
okular-4.10.3-1.fc18.x86_64
epdfview-0.1.8-10.fc18.x86_64
xpdf-3.03-5.fc18.x86_64
ghostscript-9.06-4.fc18.x86_64

How reproducible:
Always on specific PDF files.

Steps to Reproduce:
1.Open attached pdf with one of evince, epdfview, or okular
2.Page down.  Note order in which pages are displayed
3.

Actual results:
Pages are skipped and out-of-order.  
I could include a screenshot, but can only include one attachment.

Expected results:
Pages should be in order.

Additional info:
I can provide other pdfs which are rendered incorrectly.
I've filed similar bugs for the other components
(I didn't think I could list multiple components on a single bug)
Acrobat, gs, and xpdf work fine.
This bug has been floating around for various PDFs since at least FC 15.
Comment 1 SteveB 2013-06-13 18:23:25 EDT
Created attachment 761008 [details]
screen shot showing error with evince
Comment 2 Fedora End Of Life 2013-12-21 09:00:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:49:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.